VERSION 5.00
Begin VB.Form frmPopup 
   BorderStyle     =   5  'Sizable ToolWindow
   ClientHeight    =   2505
   ClientLeft      =   5130
   ClientTop       =   9600
   ClientWidth     =   3840
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   167
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   256
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtLabel 
      BackColor       =   &H8000000F&
      BorderStyle     =   0  'None
      Height          =   2415
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   0
      Width           =   3855
   End
End
Attribute VB_Name = "frmPopup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'
'  Copyright  1998-2002 Dev Ashish & Terry Kreft, All Rights Reserved
'  The Access Web       [ http://www.mvps.org/access ]
'  Terms of Use:           [ http://www.mvps.org/access/terms.htm ]
'  Dev Ashish (dev@mvps.org) ; Terry Kreft (terry.kreft@mps.co.uk)
'
Private Type POINTAPI
   x As Long
   y As Long
End Type

Private Type RECT
   Left As Long
   Top As Long
   Right As Long
   Bottom As Long
End Type

Private Declare Function GetCursorPos _
    Lib "user32" _
    (lpPoint As POINTAPI) _
    As Long

Private Declare Function MoveWindow _
    Lib "user32" _
    (ByVal hWnd As Long, _
    ByVal x As Long, _
    ByVal y As Long, _
    ByVal nWidth As Long, _
    ByVal nHeight As Long, _
    ByVal bRepaint As Long) _
    As Long

Private Declare Function GetWindowRect _
    Lib "user32" _
    (ByVal hWnd As Long, lpRect As RECT) _
    As Long

Private m_tPoint As POINTAPI
Private m_tRect As RECT
Private Const OFFSET = 15

Public Sub ShowText(ByVal Caption As String, ByVal Text As String)
    With Me
        .txtLabel.Text = Text
        .Caption = Caption
        Call GetCursorPos(m_tPoint)
        With m_tPoint
            Call GetWindowRect(Me.hWnd, m_tRect)
            Call MoveWindow(Me.hWnd, .x, .y + OFFSET, _
                    m_tRect.Right - m_tRect.Left, _
                    m_tRect.Bottom - m_tRect.Top, False)
        End With
        .Show
    End With
End Sub

Private Sub Form_Resize()
    With Me.txtLabel
        .Left = Me.ScaleLeft
        .Height = Me.ScaleHeight
        .Width = Me.ScaleWidth
    End With
End Sub

